Bug 249358 - liferea goes crazy with mprotect
Summary: liferea goes crazy with mprotect
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: liferea   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-23 21:49 UTC by Need Real Name
Modified: 2007-12-02 15:34 UTC (History)
0 users

Fixed In Version: 1.2.23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-02 14:55:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2007-07-23 21:49:15 UTC
Just loaded liferea, after it updated one of the channels itself, it hogs the cpu.

strace shows:

mprotect(0xb1cd4000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1cd5000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1cd6000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1cd7000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1cd8000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1cd9000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1cda000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1cdb000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1cdc000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1cdd000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1cde000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1cdf000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1ce0000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1ce1000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1ce2000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1ce3000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1ce4000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1ce5000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1ce6000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1ce7000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1ce8000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1ce9000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1cea000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1ceb000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1cec000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1ced000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1cee000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1cef000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1cf0000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1cf1000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1cf2000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1cf3000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1cf4000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1cf5000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1cf6000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1cf7000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1cf8000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1cf9000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1cfa000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1cfb000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1cfc000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1cfd000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1cfe000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1cff000, 4096, PROT_READ|PROT_WRITE) = 0
mmap2(0xb1d00000, 1048576, PROT_NONE, MAP_PRIVATE|MAP_ANONYMOUS|MAP_NORESERVE,
-1, 0) = 0xb1d00000
mprotect(0xb1d00000, 135168, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1d21000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1d22000, 4096, PROT_READ|PROT_WRITE) = 0
mprotect(0xb1d23000, 4096, PROT_READ|PROT_WRITE) = 0

etc. until killed.

Comment 1 Brian Pepple 2007-12-01 23:20:45 UTC
Can you provide some help on how to recreate this bug?  And are you experiencing
it in the 1.4.x branch?

Comment 2 Need Real Name 2007-12-02 10:53:03 UTC
WFM

Comment 3 Brian Pepple 2007-12-02 14:55:05 UTC
(In reply to comment #2)
> WFM

Ok, I'll go ahead and mark as NOTABUG then.  Thanks.


Note You need to log in before you can comment on or make changes to this bug.